using System.ComponentModel;

namespace eSuite.Core.Workflow;

public enum WorkflowState
{
    [Description("The workflow has not yet started")]
    Pending,
    [Description("The workflow has been cancelled abd wukk bit be processed")]
    Cancelled,
    [Description("The workflow is currently active for user/system interaction and processing")]
    Active,
    [Description("The active portion of the workflow has finished and the workflow is ready to complete")]
    ReadyToComplete,
    [Description("Processing of this item has finished the ")]
    Completed
}